# 설치

## 요구사항 <a href="#requirements" id="requirements"></a>

* Android API 버전 <mark style="color:blue;">24</mark> 이상&#x20;

#### 저장소 마이그레이션 안내 (v1.0.0 기준) <a href="#storage-migration-notice-from-v1.0.0" id="storage-migration-notice-from-v1.0.0"></a>

* v1.0.0부터 저장소 키 변경 정책이 적용되어, 기존 저장된 데이터에 접근할 수 없는 경우가 발생할 수 있습니다.
* &#x20;키가 유효하지 않은 경우에 한해, 기존 저장 데이터는 자동으로 초기화되고 새 키가 생성됩니다.
* 키가 정상적으로 유지되는 경우, 기존 데이터는 그대로 유지됩니다.
* v1.0.0 이후 버전에서 이전 버전으로 다운그레이드할 경우, 기존 데이터에 접근하지 못할 수 있습니다.

{% hint style="info" %}
업데이트 전에 잠재적인 문제를 방지하기 위해 데이터를 백업해두는 것을 추천드립니다.
{% endhint %}

#### &#x20;WepinLogin과의 호환성 <a href="#compatibility-with-wepinlogin" id="compatibility-with-wepinlogin"></a>

* 이 모듈을 WepinLogin과 함께 사용하는 경우, **WepinLogin v1.0.0** 이상을 사용하고 있는지 확인해주세요.
* Wepin 모듈 간에 주요 버전이 다른 경우, 호환성 문제, 예상치 못한 오류, 또는 일관되지 않은 동작이 발생할 수 있습니다.
* 안정적인 통합을 위해서는 모든 Wepin 모듈을 v1.0.0 이상 버전으로 통일하여 사용하는 것을 권장합니다.
* **WepinPin v1.1.0** 부터 WepinPin에 WepinLogin이 포함되었습니다.

## 설치하기 <a href="#installation" id="installation"></a>

프로젝트레벨의 build gradle 파일에  JitPack 레포지토리를 추가합니다.

```kts
 dependencyResolutionManagement {
     repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
     repositories {
         google()
         mavenCentral()
         maven("https://jitpack.io") // <= Add JitPack Repository
     }
 }
```

### Wepin PIN Pad Library를 dependencies에 추가하기 <a href="#add-wepin-pin-pad-library-to-dependencies" id="add-wepin-pin-pad-library-to-dependencies"></a>

앱의 build gradle 파일에 아래와 같이 추가 합니다. 버전은 사용하고자 하는 릴리즈 버전을 넣으면 됩니다.&#x20;

```kts
dependencies {
  // ...
  implementation("com.github.WepinWallet:wepin-android-sdk-pin-v1:vX.X.X") 
}
```

## 릴리즈  <a href="#release" id="release"></a>

릴리즈된 패키지 버전은 아래 깃허브에서 확인 가능합니다.

{% embed url="<https://github.com/WepinWallet/wepin-android-sdk-pin-v1/releases>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wepin.io/widget-integration/android-java-and-kotlin-sdk/pin-pad-library/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
